VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::networking::dns::Hostname Interface Reference

`Hostname` interface provides methods Performs operations on Fully Qualified Doman Name. More...

Inherited by vmware::appliance::networking::dns::HostnameStub.

List of all members.

## Public Member Functions
vmware.appliance.networking.dns.HostnameTypes.TestStatusInfo | Test (string name)
| Test the Fully Qualified Domain Name.
vmware.appliance.networking.dns.HostnameTypes.TestStatusInfo | Test (string name, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test the Fully Qualified Domain Name.
global::System.Threading.Tasks.Task < vmware.appliance.networking.dns.HostnameTypes.TestStatusInfo > | TestAsync (string name)
| Test the Fully Qualified Domain Name.
global::System.Threading.Tasks.Task < vmware.appliance.networking.dns.HostnameTypes.TestStatusInfo > | TestAsync (string name, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Test the Fully Qualified Domain Name.
void | Set (string name)
| Set the Fully Qualified Domain Name.
void | Set (string name, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set the Fully Qualified Domain Name.
global::System.Threading.Tasks.Task | SetAsync (string name)
| Set the Fully Qualified Domain Name.
global::System.Threading.Tasks.Task | SetAsync (string name, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Set the Fully Qualified Domain Name.
string | Get ()
| Get the Fully Qualified Doman Name.
string | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get the Fully Qualified Doman Name.
global::System.Threading.Tasks.Task < string > | GetAsync ()
| Get the Fully Qualified Doman Name.
global::System.Threading.Tasks.Task < string > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get the Fully Qualified Doman Name.

## Detailed Description

`Hostname` interface provides methods Performs operations on Fully Qualified Doman Name.

## Member Function Documentation

string vmware::appliance::networking::dns::Hostname::Get | ( |  | ) |

Get the Fully Qualified Doman Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  FQDN.

Implemented in vmware::appliance::networking::dns::HostnameStub.

string vmware::appliance::networking::dns::Hostname::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get the Fully Qualified Doman Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  FQDN.

Implemented in vmware::appliance::networking::dns::HostnameStub.

global::System.Threading.Tasks.Task<string> vmware::appliance::networking::dns::Hostname::GetAsync | ( |  | ) |

Get the Fully Qualified Doman Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  FQDN.

Implemented in vmware::appliance::networking::dns::HostnameStub.

global::System.Threading.Tasks.Task<string> vmware::appliance::networking::dns::Hostname::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Get the Fully Qualified Doman Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  FQDN.

Implemented in vmware::appliance::networking::dns::HostnameStub.

void vmware::appliance::networking::dns::Hostname::Set | ( | string | name | ) |

Set the Fully Qualified Domain Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | FQDN.

Implemented in vmware::appliance::networking::dns::HostnameStub.

void vmware::appliance::networking::dns::Hostname::Set | ( | string | name,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set the Fully Qualified Domain Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | FQDN.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::HostnameStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Hostname::SetAsync | ( | string | name,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Set the Fully Qualified Domain Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | FQDN.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::appliance::networking::dns::HostnameStub.

global::System.Threading.Tasks.Task vmware::appliance::networking::dns::Hostname::SetAsync | ( | string | name | ) |

Set the Fully Qualified Domain Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | FQDN.

Implemented in vmware::appliance::networking::dns::HostnameStub.

vmware.appliance.networking.dns.HostnameTypes.TestStatusInfo vmware::appliance::networking::dns::Hostname::Test | ( | string | name,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Test the Fully Qualified Domain Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | FQDN.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  FQDN status

Implemented in vmware::appliance::networking::dns::HostnameStub.

vmware.appliance.networking.dns.HostnameTypes.TestStatusInfo vmware::appliance::networking::dns::Hostname::Test | ( | string | name | ) |

Test the Fully Qualified Domain Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | FQDN.

Returns:
  FQDN status

Implemented in vmware::appliance::networking::dns::HostnameStub.

global::System.Threading.Tasks.Task<vmware.appliance.networking.dns.HostnameTypes.TestStatusInfo> vmware::appliance::networking::dns::Hostname::TestAsync | ( | string | name | ) |

Test the Fully Qualified Domain Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | FQDN.

Returns:
  FQDN status

Implemented in vmware::appliance::networking::dns::HostnameStub.

global::System.Threading.Tasks.Task<vmware.appliance.networking.dns.HostnameTypes.TestStatusInfo> vmware::appliance::networking::dns::Hostname::TestAsync | ( | string | name,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Test the Fully Qualified Domain Name.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  name | FQDN.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  FQDN status

Implemented in vmware::appliance::networking::dns::HostnameStub.

The documentation for this interface was generated from the following file:

- Hostname.cs